import { Client } from 'cozy-client'

const mockClient = {
  query: jest.fn(),
  create: jest.fn(),
  save: jest.fn().mockReturnValue({
    data: {},
  }),
  saveAll: jest.fn(),
  destroy: jest.fn(),
  collection: jest.fn().mockReturnValue({
    create: jest.fn(),
  }),
  getStackClient: jest.fn().mockReturnValue({
    fetchJSON: jest.fn(),
  }),
  appMetadata: {
    version: '0.0.0',
  },
  options: {
    uri: 'http://cozy.tools:8080', // NOSONAR
  },
  reducer: () => ({}),
} as unknown as jest.Mocked<Client>

export default mockClient
