import { Q as Query, QueryDefinition } from 'cozy-client'

export const useClient = jest.fn(() => {
  return {
    query: jest.fn(),
    create: jest.fn(),
    save: jest.fn(),
    destroy: jest.fn(),
    collection: jest.fn().mockReturnValue({
      create: jest.fn(),
    }),
    getStackClient: jest.fn().mockReturnValue({
      fetchJSON: jest.fn(),
    }),
    appMetadata: {
      version: '0.0.0',
    },
  }
})

export const Q = (doctype: any): QueryDefinition => {
  return Query(doctype)
}
